//+------------------------------------------------------------------+
//|                                                     xCurency.mq4 |
//|                                    Copyright  2006, AlexSilver. |
//|                                                  http://viac.ru/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, AlexSilver"
#property link      "http://viac.ru/"

#property indicator_chart_window //indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 Green
#property indicator_color2 Blue
#property indicator_color3 Red
#property indicator_color4 Black

extern string Curency = "EUR";
extern double K = 1.161;

double EurUsd[],UsdChf[],GbpUsd[],UsdJpy[],AudUsd[],UsdCad[],EurJpy[],GbpJpy[],GbpChf[],EurAud[],EurCad[],EurChf[],EurGbp[],NzdUsd[],UsdSgd[],EurNzd[],EurSgd[],GbpAud[],AudJpy[],AudNzd[],AudChf[],AudCad[],AudSgd[],GbpCad[],GbpNzd[],GbpSgd[],NzdJpy[],NzdChf[],NzdCad[],NzdSgd[],CadJpy[],CadChf[],ChfJpy[],ChfSgd[],SgdJpy[];
double EurUsd_h[],UsdChf_h[],GbpUsd_h[],UsdJpy_h[],AudUsd_h[],UsdCad_h[],EurJpy_h[],GbpJpy_h[],GbpChf_h[],EurAud_h[],EurCad_h[],EurChf_h[],EurGbp_h[],NzdUsd_h[],UsdSgd_h[],EurNzd_h[],EurSgd_h[],GbpAud_h[],AudJpy_h[],AudNzd_h[],AudChf_h[],AudCad_h[],AudSgd_h[],GbpCad_h[],GbpNzd_h[],GbpSgd_h[],NzdJpy_h[],NzdChf_h[],NzdCad_h[],NzdSgd_h[],CadJpy_h[],CadChf_h[],ChfJpy_h[],ChfSgd_h[],SgdJpy_h[];
double EurUsd_l[],UsdChf_l[],GbpUsd_l[],UsdJpy_l[],AudUsd_l[],UsdCad_l[],EurJpy_l[],GbpJpy_l[],GbpChf_l[],EurAud_l[],EurCad_l[],EurChf_l[],EurGbp_l[],NzdUsd_l[],UsdSgd_l[],EurNzd_l[],EurSgd_l[],GbpAud_l[],AudJpy_l[],AudNzd_l[],AudChf_l[],AudCad_l[],AudSgd_l[],GbpCad_l[],GbpNzd_l[],GbpSgd_l[],NzdJpy_l[],NzdChf_l[],NzdCad_l[],NzdSgd_l[],CadJpy_l[],CadChf_l[],ChfJpy_l[],ChfSgd_l[],SgdJpy_l[];
double EurUsd_o[],UsdChf_o[],GbpUsd_o[],UsdJpy_o[],AudUsd_o[],UsdCad_o[],EurJpy_o[],GbpJpy_o[],GbpChf_o[],EurAud_o[],EurCad_o[],EurChf_o[],EurGbp_o[],NzdUsd_o[],UsdSgd_o[],EurNzd_o[],EurSgd_o[],GbpAud_o[],AudJpy_o[],AudNzd_o[],AudChf_o[],AudCad_o[],AudSgd_o[],GbpCad_o[],GbpNzd_o[],GbpSgd_o[],NzdJpy_o[],NzdChf_o[],NzdCad_o[],NzdSgd_o[],CadJpy_o[],CadChf_o[],ChfJpy_o[],ChfSgd_o[],SgdJpy_o[];

double xOpen[];
double xHigh[];
double xLow[];
double xClose[];


int init()
{
   IndicatorShortName(Curency);
   SetIndexStyle(0, DRAW_HISTOGRAM, 0, 1, Red);
   SetIndexBuffer(0,xLow);
   SetIndexStyle(1, DRAW_HISTOGRAM, 0, 1, Blue);
   SetIndexBuffer(1,xHigh);
   SetIndexStyle(2, DRAW_HISTOGRAM, 0, 3, Red);
   SetIndexBuffer(2,xOpen);
   SetIndexStyle(3, DRAW_HISTOGRAM, 0, 3, Blue);
   SetIndexBuffer(3,xClose);
   
   return(0);
}

void start()
{

   ArrayCopySeries(EurUsd_o,MODE_OPEN,"EURUSD");
   ArrayCopySeries(GbpUsd_o,MODE_OPEN,"GBPUSD");
   ArrayCopySeries(AudUsd_o,MODE_OPEN,"AUDUSD");
   ArrayCopySeries(NzdUsd_o,MODE_OPEN,"NZDUSD");
   ArrayCopySeries(UsdChf_o,MODE_OPEN,"USDCHF");
   ArrayCopySeries(UsdJpy_o,MODE_OPEN,"USDJPY");
   ArrayCopySeries(UsdCad_o,MODE_OPEN,"USDCAD");
   ArrayCopySeries(UsdSgd_o,MODE_OPEN,"USDSGD");
   ArrayCopySeries(EurJpy_o,MODE_OPEN,"EURJPY");
   ArrayCopySeries(GbpJpy_o,MODE_OPEN,"GBPJPY");
   ArrayCopySeries(GbpChf_o,MODE_OPEN,"GBPCHF");
   ArrayCopySeries(EurChf_o,MODE_OPEN,"EURCHF");
   ArrayCopySeries(EurGbp_o,MODE_OPEN,"EURGBP");
   ArrayCopySeries(EurAud_o,MODE_OPEN,"EURAUD");
   ArrayCopySeries(EurCad_o,MODE_OPEN,"EURCAD");
   ArrayCopySeries(EurNzd_o,MODE_OPEN,"EURNZD");
   ArrayCopySeries(EurSgd_o,MODE_OPEN,"EURSGD");
   ArrayCopySeries(GbpAud_o,MODE_OPEN,"GBPAUD");
   ArrayCopySeries(GbpCad_o,MODE_OPEN,"GBPCAD");
   ArrayCopySeries(GbpNzd_o,MODE_OPEN,"GBPNZD");
   ArrayCopySeries(GbpSgd_o,MODE_OPEN,"GBPSGD");
   ArrayCopySeries(AudJpy_o,MODE_OPEN,"AUDJPY");
   ArrayCopySeries(AudNzd_o,MODE_OPEN,"AUDNZD");
   ArrayCopySeries(AudChf_o,MODE_OPEN,"AUDCHF");
   ArrayCopySeries(AudCad_o,MODE_OPEN,"AUDCAD");
   ArrayCopySeries(AudSgd_o,MODE_OPEN,"AUDSGD");
   ArrayCopySeries(NzdJpy_o,MODE_OPEN,"NZDJPY");
   ArrayCopySeries(NzdChf_o,MODE_OPEN,"NZDCHF");
   ArrayCopySeries(NzdCad_o,MODE_OPEN,"NZDCAD");
   ArrayCopySeries(NzdSgd_o,MODE_OPEN,"NZDSGD");
   ArrayCopySeries(CadJpy_o,MODE_OPEN,"CADJPY");
   ArrayCopySeries(CadChf_o,MODE_OPEN,"CADCHF");
   ArrayCopySeries(ChfJpy_o,MODE_OPEN,"CHFJPY");
   ArrayCopySeries(SgdJpy_o,MODE_OPEN,"SGDJPY");
   ArrayCopySeries(ChfSgd_o,MODE_OPEN,"CHFSGD");

   ArrayCopySeries(EurUsd_h,MODE_HIGH,"EURUSD");
   ArrayCopySeries(GbpUsd_h,MODE_HIGH,"GBPUSD");
   ArrayCopySeries(AudUsd_h,MODE_HIGH,"AUDUSD");
   ArrayCopySeries(NzdUsd_h,MODE_HIGH,"NZDUSD");
   ArrayCopySeries(UsdChf_h,MODE_HIGH,"USDCHF");
   ArrayCopySeries(UsdJpy_h,MODE_HIGH,"USDJPY");
   ArrayCopySeries(UsdCad_h,MODE_HIGH,"USDCAD");
   ArrayCopySeries(UsdSgd_h,MODE_HIGH,"USDSGD");
   ArrayCopySeries(EurJpy_h,MODE_HIGH,"EURJPY");
   ArrayCopySeries(GbpJpy_h,MODE_HIGH,"GBPJPY");
   ArrayCopySeries(GbpChf_h,MODE_HIGH,"GBPCHF");
   ArrayCopySeries(EurChf_h,MODE_HIGH,"EURCHF");
   ArrayCopySeries(EurGbp_h,MODE_HIGH,"EURGBP");
   ArrayCopySeries(EurAud_h,MODE_HIGH,"EURAUD");
   ArrayCopySeries(EurCad_h,MODE_HIGH,"EURCAD");
   ArrayCopySeries(EurNzd_h,MODE_HIGH,"EURNZD");
   ArrayCopySeries(EurSgd_h,MODE_HIGH,"EURSGD");
   ArrayCopySeries(GbpAud_h,MODE_HIGH,"GBPAUD");
   ArrayCopySeries(GbpCad_h,MODE_HIGH,"GBPCAD");
   ArrayCopySeries(GbpNzd_h,MODE_HIGH,"GBPNZD");
   ArrayCopySeries(GbpSgd_h,MODE_HIGH,"GBPSGD");
   ArrayCopySeries(AudJpy_h,MODE_HIGH,"AUDJPY");
   ArrayCopySeries(AudNzd_h,MODE_HIGH,"AUDNZD");
   ArrayCopySeries(AudChf_h,MODE_HIGH,"AUDCHF");
   ArrayCopySeries(AudCad_h,MODE_HIGH,"AUDCAD");
   ArrayCopySeries(AudSgd_h,MODE_HIGH,"AUDSGD");
   ArrayCopySeries(NzdJpy_h,MODE_HIGH,"NZDJPY");
   ArrayCopySeries(NzdChf_h,MODE_HIGH,"NZDCHF");
   ArrayCopySeries(NzdCad_h,MODE_HIGH,"NZDCAD");
   ArrayCopySeries(NzdSgd_h,MODE_HIGH,"NZDSGD");
   ArrayCopySeries(CadJpy_h,MODE_HIGH,"CADJPY");
   ArrayCopySeries(CadChf_h,MODE_HIGH,"CADCHF");
   ArrayCopySeries(ChfJpy_h,MODE_HIGH,"CHFJPY");
   ArrayCopySeries(SgdJpy_h,MODE_HIGH,"SGDJPY");
   ArrayCopySeries(ChfSgd_h,MODE_HIGH,"CHFSGD");

   ArrayCopySeries(EurUsd_l,MODE_LOW,"EURUSD");
   ArrayCopySeries(GbpUsd_l,MODE_LOW,"GBPUSD");
   ArrayCopySeries(AudUsd_l,MODE_LOW,"AUDUSD");
   ArrayCopySeries(NzdUsd_l,MODE_LOW,"NZDUSD");
   ArrayCopySeries(UsdChf_l,MODE_LOW,"USDCHF");
   ArrayCopySeries(UsdJpy_l,MODE_LOW,"USDJPY");
   ArrayCopySeries(UsdCad_l,MODE_LOW,"USDCAD");
   ArrayCopySeries(UsdSgd_l,MODE_LOW,"USDSGD");
   ArrayCopySeries(EurJpy_l,MODE_LOW,"EURJPY");
   ArrayCopySeries(GbpJpy_l,MODE_LOW,"GBPJPY");
   ArrayCopySeries(GbpChf_l,MODE_LOW,"GBPCHF");
   ArrayCopySeries(EurChf_l,MODE_LOW,"EURCHF");
   ArrayCopySeries(EurGbp_l,MODE_LOW,"EURGBP");
   ArrayCopySeries(EurAud_l,MODE_LOW,"EURAUD");
   ArrayCopySeries(EurCad_l,MODE_LOW,"EURCAD");
   ArrayCopySeries(EurNzd_l,MODE_LOW,"EURNZD");
   ArrayCopySeries(EurSgd_l,MODE_LOW,"EURSGD");
   ArrayCopySeries(GbpAud_l,MODE_LOW,"GBPAUD");
   ArrayCopySeries(GbpCad_l,MODE_LOW,"GBPCAD");
   ArrayCopySeries(GbpNzd_l,MODE_LOW,"GBPNZD");
   ArrayCopySeries(GbpSgd_l,MODE_LOW,"GBPSGD");
   ArrayCopySeries(AudJpy_l,MODE_LOW,"AUDJPY");
   ArrayCopySeries(AudNzd_l,MODE_LOW,"AUDNZD");
   ArrayCopySeries(AudChf_l,MODE_LOW,"AUDCHF");
   ArrayCopySeries(AudCad_l,MODE_LOW,"AUDCAD");
   ArrayCopySeries(AudSgd_l,MODE_LOW,"AUDSGD");
   ArrayCopySeries(NzdJpy_l,MODE_LOW,"NZDJPY");
   ArrayCopySeries(NzdChf_l,MODE_LOW,"NZDCHF");
   ArrayCopySeries(NzdCad_l,MODE_LOW,"NZDCAD");
   ArrayCopySeries(NzdSgd_l,MODE_LOW,"NZDSGD");
   ArrayCopySeries(CadJpy_l,MODE_LOW,"CADJPY");
   ArrayCopySeries(CadChf_l,MODE_LOW,"CADCHF");
   ArrayCopySeries(ChfJpy_l,MODE_LOW,"CHFJPY");
   ArrayCopySeries(SgdJpy_l,MODE_LOW,"SGDJPY");
   ArrayCopySeries(ChfSgd_l,MODE_LOW,"CHFSGD");

   ArrayCopySeries(EurUsd,MODE_CLOSE,"EURUSD");
   ArrayCopySeries(GbpUsd,MODE_CLOSE,"GBPUSD");
   ArrayCopySeries(AudUsd,MODE_CLOSE,"AUDUSD");
   ArrayCopySeries(NzdUsd,MODE_CLOSE,"NZDUSD");
   ArrayCopySeries(UsdChf,MODE_CLOSE,"USDCHF");
   ArrayCopySeries(UsdJpy,MODE_CLOSE,"USDJPY");
   ArrayCopySeries(UsdCad,MODE_CLOSE,"USDCAD");
   ArrayCopySeries(UsdSgd,MODE_CLOSE,"USDSGD");
   ArrayCopySeries(EurJpy,MODE_CLOSE,"EURJPY");
   ArrayCopySeries(GbpJpy,MODE_CLOSE,"GBPJPY");
   ArrayCopySeries(GbpChf,MODE_CLOSE,"GBPCHF");
   ArrayCopySeries(EurChf,MODE_CLOSE,"EURCHF");
   ArrayCopySeries(EurGbp,MODE_CLOSE,"EURGBP");
   ArrayCopySeries(EurAud,MODE_CLOSE,"EURAUD");
   ArrayCopySeries(EurCad,MODE_CLOSE,"EURCAD");
   ArrayCopySeries(EurNzd,MODE_CLOSE,"EURNZD");
   ArrayCopySeries(EurSgd,MODE_CLOSE,"EURSGD");
   ArrayCopySeries(GbpAud,MODE_CLOSE,"GBPAUD");
   ArrayCopySeries(GbpCad,MODE_CLOSE,"GBPCAD");
   ArrayCopySeries(GbpNzd,MODE_CLOSE,"GBPNZD");
   ArrayCopySeries(GbpSgd,MODE_CLOSE,"GBPSGD");
   ArrayCopySeries(AudJpy,MODE_CLOSE,"AUDJPY");
   ArrayCopySeries(AudNzd,MODE_CLOSE,"AUDNZD");
   ArrayCopySeries(AudChf,MODE_CLOSE,"AUDCHF");
   ArrayCopySeries(AudCad,MODE_CLOSE,"AUDCAD");
   ArrayCopySeries(AudSgd,MODE_CLOSE,"AUDSGD");
   ArrayCopySeries(NzdJpy,MODE_CLOSE,"NZDJPY");
   ArrayCopySeries(NzdChf,MODE_CLOSE,"NZDCHF");
   ArrayCopySeries(NzdCad,MODE_CLOSE,"NZDCAD");
   ArrayCopySeries(NzdSgd,MODE_CLOSE,"NZDSGD");
   ArrayCopySeries(CadJpy,MODE_CLOSE,"CADJPY");
   ArrayCopySeries(CadChf,MODE_CLOSE,"CADCHF");
   ArrayCopySeries(ChfJpy,MODE_CLOSE,"CHFJPY");
   ArrayCopySeries(SgdJpy,MODE_CLOSE,"SGDJPY");
   ArrayCopySeries(ChfSgd,MODE_CLOSE,"CHFSGD");

   int counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
   {
       if (Curency=="USD")
       {
         xClose[i] = MathPow(UsdChf[i]*UsdJpy[i]*UsdCad[i]*UsdSgd[i]/EurUsd[i]/GbpUsd[i]/AudUsd[i]/NzdUsd[i]/100,1./8.)/K; 
         xOpen[i] = MathPow(UsdChf_o[i]*UsdJpy_o[i]*UsdCad_o[i]*UsdSgd_o[i]/EurUsd_o[i]/GbpUsd_o[i]/AudUsd_o[i]/NzdUsd_o[i]/100,1./8.)/K;
         xHigh[i] = MathPow(UsdChf_h[i]*UsdJpy_h[i]*UsdCad_h[i]*UsdSgd_h[i]/EurUsd_l[i]/GbpUsd_l[i]/AudUsd_l[i]/NzdUsd_l[i]/100,1./8.)/K;
         xLow[i] = MathPow(UsdChf_l[i]*UsdJpy_l[i]*UsdCad_l[i]*UsdSgd_l[i]/EurUsd_h[i]/GbpUsd_h[i]/AudUsd_h[i]/NzdUsd_h[i]/100,1./8.)/K;
       }
       if (Curency=="EUR")
       {
         xClose[i] = MathPow(EurUsd[i]*EurChf[i]*EurJpy[i]*EurGbp[i]*EurAud[i]*EurCad[i]*EurSgd[i]*EurNzd[i]/100,1./8.)/K;
         xOpen[i] = MathPow(EurUsd_o[i]*EurChf_o[i]*EurJpy_o[i]*EurGbp_o[i]*EurAud_o[i]*EurCad_o[i]*EurSgd_o[i]*EurNzd_o[i]/100,1./8.)/K;
         xHigh[i] = MathPow(EurUsd_h[i]*EurChf_h[i]*EurJpy_h[i]*EurGbp_h[i]*EurAud_h[i]*EurCad_h[i]*EurSgd_h[i]*EurNzd_h[i]/100,1./8.)/K;
         xLow[i] = MathPow(EurUsd_l[i]*EurChf_l[i]*EurJpy_l[i]*EurGbp_l[i]*EurAud_l[i]*EurCad_l[i]*EurSgd_l[i]*EurNzd_l[i]/100,1./8.)/K;
       }
       if (Curency=="JPY")
       {
         xClose[i] = 100*MathPow(1/GbpJpy[i]/UsdJpy[i]/EurJpy[i]/AudJpy[i]/NzdJpy[i]/ChfJpy[i]/CadJpy[i]/SgdJpy[i],1./8.);
         xOpen[i] = 100*MathPow(1/GbpJpy_o[i]/UsdJpy_o[i]/EurJpy_o[i]/AudJpy_o[i]/NzdJpy_o[i]/ChfJpy_o[i]/CadJpy_o[i]/SgdJpy_o[i],1./8.);
         xHigh[i] = 100*MathPow(1/GbpJpy_l[i]/UsdJpy_l[i]/EurJpy_l[i]/AudJpy_l[i]/NzdJpy_l[i]/ChfJpy_l[i]/CadJpy_l[i]/SgdJpy_l[i],1./8.);
         xLow[i] = 100*MathPow(1/GbpJpy_h[i]/UsdJpy_h[i]/EurJpy_h[i]/AudJpy_h[i]/NzdJpy_h[i]/ChfJpy_h[i]/CadJpy_h[i]/SgdJpy_h[i],1./8.);
       }
       if (Curency=="GBP")
       {
         xClose[i] = MathPow(GbpJpy[i]*GbpUsd[i]*GbpChf[i]*GbpAud[i]*GbpNzd[i]*GbpSgd[i]*GbpCad[i]/EurGbp[i]/100,1./8.);
         xOpen[i] = MathPow(GbpJpy_o[i]*GbpUsd_o[i]*GbpChf_o[i]*GbpAud_o[i]*GbpNzd_o[i]*GbpSgd_o[i]*GbpCad_o[i]/EurGbp_o[i]/100,1./8.);
         xHigh[i] = MathPow(GbpJpy_h[i]*GbpUsd_h[i]*GbpChf_h[i]*GbpAud_h[i]*GbpNzd_h[i]*GbpSgd_h[i]*GbpCad_h[i]/EurGbp_l[i]/100,1./8.);
         xLow[i] = MathPow(GbpJpy_l[i]*GbpUsd_l[i]*GbpChf_l[i]*GbpAud_l[i]*GbpNzd_l[i]*GbpSgd_l[i]*GbpCad_l[i]/EurGbp_h[i]/100,1./8.);
       }
       if (Curency=="AUD")
       {
         xClose[i] = MathPow(AudJpy[i]*AudUsd[i]*AudChf[i]/GbpAud[i]*AudNzd[i]*AudSgd[i]*AudCad[i]/EurAud[i]/100,1./8.);
         xOpen[i] = MathPow(AudJpy_o[i]*AudUsd_o[i]*AudChf_o[i]/GbpAud_o[i]*AudNzd_o[i]*AudSgd_o[i]*AudCad_o[i]/EurAud_o[i]/100,1./8.);
         xHigh[i] = MathPow(AudJpy_h[i]*AudUsd_h[i]*AudChf_h[i]/GbpAud_l[i]*AudNzd_h[i]*AudSgd_h[i]*AudCad_h[i]/EurAud_l[i]/100,1./8.);
         xLow[i] = MathPow(AudJpy_l[i]*AudUsd_l[i]*AudChf_l[i]/GbpAud_h[i]*AudNzd_l[i]*AudSgd_l[i]*AudCad_l[i]/EurAud_h[i]/100,1./8.);
       }
       if (Curency=="NZD")
       {
         xClose[i] = MathPow(NzdJpy[i]*NzdUsd[i]*NzdChf[i]/AudNzd[i]/GbpNzd[i]*NzdSgd[i]*NzdCad[i]/EurNzd[i]/100,1./8.);
         xOpen[i] = MathPow(NzdJpy_o[i]*NzdUsd_o[i]*NzdChf_o[i]/AudNzd_o[i]/GbpNzd_o[i]*NzdSgd_o[i]*NzdCad_o[i]/EurNzd_o[i]/100,1./8.);
         xHigh[i] = MathPow(NzdJpy_h[i]*NzdUsd_h[i]*NzdChf_h[i]/AudNzd_l[i]/GbpNzd_l[i]*NzdSgd_h[i]*NzdCad_h[i]/EurNzd_l[i]/100,1./8.);
         xLow[i] = MathPow(NzdJpy_l[i]*NzdUsd_l[i]*NzdChf_l[i]/AudNzd_h[i]/GbpNzd_h[i]*NzdSgd_l[i]*NzdCad_l[i]/EurNzd_h[i]/100,1./8.);
       }
       if (Curency=="CAD")
       {
         xClose[i] = MathPow(CadJpy[i]/UsdCad[i]*CadChf[i]/AudCad[i]/NzdCad[i]/GbpCad[i]/EurCad[i]/100,1./7.);
         xOpen[i] = MathPow(CadJpy_o[i]/UsdCad_o[i]*CadChf_o[i]/AudCad_o[i]/NzdCad_o[i]/GbpCad_o[i]/EurCad_o[i]/100,1./7.);
         xHigh[i] = MathPow(CadJpy_h[i]/UsdCad_l[i]*CadChf_h[i]/AudCad_l[i]/NzdCad_l[i]/GbpCad_l[i]/EurCad_l[i]/100,1./7.);
         xLow[i] = MathPow(CadJpy_l[i]/UsdCad_h[i]*CadChf_l[i]/AudCad_h[i]/NzdCad_h[i]/GbpCad_h[i]/EurCad_h[i]/100,1./7.);
       }
       if (Curency=="SGD")
       {
         xClose[i] = MathPow(SgdJpy[i]/UsdSgd[i]/ChfSgd[i]/AudSgd[i]/NzdSgd[i]/GbpSgd[i]/EurSgd[i]/100,1./7.);
         xOpen[i] = MathPow(SgdJpy_o[i]/UsdSgd_o[i]/ChfSgd_o[i]/AudSgd_o[i]/NzdSgd_o[i]/GbpSgd_o[i]/EurSgd_o[i]/100,1./7.);
         xHigh[i] = MathPow(SgdJpy_h[i]/UsdSgd_l[i]/ChfSgd_l[i]/AudSgd_l[i]/NzdSgd_l[i]/GbpSgd_l[i]/EurSgd_l[i]/100,1./7.);
         xLow[i] = MathPow(SgdJpy_l[i]/UsdSgd_h[i]/ChfSgd_h[i]/AudSgd_h[i]/NzdSgd_h[i]/GbpSgd_h[i]/EurSgd_h[i]/100,1./7.);
       }
       if (Curency=="CHF")
       {
         xClose[i] = MathPow(ChfJpy[i]/UsdChf[i]/CadChf[i]/AudChf[i]/NzdChf[i]/GbpChf[i]/EurChf[i]*ChfSgd[i]/100,1./8.);
         xOpen[i] = MathPow(ChfJpy_o[i]/UsdChf_o[i]/CadChf_o[i]/AudChf_o[i]/NzdChf_o[i]/GbpChf_o[i]/EurChf_o[i]*ChfSgd_o[i]/100,1./8.);
         xHigh[i] = MathPow(ChfJpy_h[i]/UsdChf_l[i]/CadChf_l[i]/AudChf_l[i]/NzdChf_l[i]/GbpChf_l[i]/EurChf_l[i]*ChfSgd_h[i]/100,1./8.);
         xLow[i] = MathPow(ChfJpy_l[i]/UsdChf_h[i]/CadChf_h[i]/AudChf_h[i]/NzdChf_h[i]/GbpChf_h[i]/EurChf_h[i]*ChfSgd_l[i]/100,1./8.);
       }
   }
}


